<<  2007.9  >>
SMTWTFS
      1
2345678
9101112131415
16171819202122
23242526272829
30      
 
リンク
その他
  • RSS2.0
  • Credit

  • SEO
    loading

    プライバシーポリシー

カテゴリー » Linux » Fedora September 24, 2007

yum update でファイルが 競合(conflict) Fedora

Fedora 7 をアップデートすると
# yum update
Transaction Check Error:
file /lib/modules/2.6.22.5-76.fc7/extra/nvidia/nvidia.ko from install of kmod-nvidia-100.14.19-1.2.6.22.5_76.fc7 conflicts with file from package kmod-nvidia-100.14.11-1.2.6.22.5_76.fc7
と文句を言われる。FedoraForum.orgでも同じ事が言われているので、私だけではなさそう。rpm.livna.orgで配布されているNvidiaビデオカードドライバのパッケージングミスなのかな? とりあえず一度無理矢理消して
# rpm -e --nodeps kmod-nvidia
# yum install kmod-nvidia
これでOK

≪追記≫
うーん…
Finished Dependency Resolution
Error: Missing Dependency: kernel-x86_64 = 2.6.22.7-85.fc7 is needed by package kmod-nvidia

Finished Dependency Resolution
Error: Missing Dependency: kernel-i686 = 2.6.22.7-85.fc7 is needed by package kmod-nvidia
こんな感じのエラーが出るようになった。オフィシャルの download.fedora.redhat.com のサーバにはちゃんと kernel-2.6.22.7-85.fc7 があるけど、 ftp.iij.ad.jp/pub/linux/fedora/ や ftp.kddilabs.jp/Linux/packages/fedora/ には長い間アップデートが降りてこない。ftp.jaist.ac.jp/pub/Linux/ なんてFedoraの配布が無くなっちゃってるし。どうして?

オフィシャルからファイルを持ってくればいいだけだけど、しばらく様子を見る。

≪追記 2007/10/02≫
さらに
# yum update
Error: Missing Dependency: kernel-i686 = 2.6.22.9-91.fc7 is needed by package kmod-nvidia
へと変化。どうしてカーネルの更新がミラーに回らないのだろう? ひとまず自分で
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/
にある kernel-2.6.22.9-91.fc7.i686(x86_64).rpm を rpm -i すれば依存性のエラーは解決。

≪追記 2007/10/03≫
/etc/yum.repos.d/fedora-updates.repo で高速な日本のサーバ限定にしていたのを、デフォルトに戻したらエラーは起こらなくなりました。日本のミラーサイトでいったい何が?
10:26 pm | コメントする |

上の記事に対するコメント

1. くろねこジジ  2008/10/04 20:42
私の場合はavahiです FC7がのこっていて yum -y update するとConfilictのエラー
そこでrpm ーq avahi
でFC9とFC7のavahi発見
消そうとして
rpm -e avahi-0.6.17.1-fc7.i386
とすると
[root@mouse ~]# rpm -e avahi-0.6.17*
error: %postun(avahi-0.6.17-1.fc7.i386) scriptlet failed, exit status 1
[root@mouse ~]# rpm -e --nodeps avahi-0.6.17*
error: %postun(avahi-0.6.17-1.fc7.i386) scriptlet failed, exit status 1
[root@mouse ~]#

というエラー

2. Owner CommentSawa  2008/10/04 22:10

3. fedora 10  2009/06/24 22:15
このエラーはなに? fedora6からfedora10にアップグレードしたいんだけど・・・

error: %unknownscript(kernel-2.6.27.24-170.2.68.fc10.i686) scriptlet failed, exit status 1

このエラーについて教えてください。よろしくお願いします。

4. fedora10  2009/06/24 22:18
このエラーはなに? fedora6からfedora10にアップグレードしたいんだけど・・・

error: %unknownscript(kernel-2.6.27.24-170.2.68.fc10.i686) scriptlet failed, exit status 1

このエラーについて教えてください。よろしくお願いします。


累計:111665、今日:291、昨日:1163
Created in 0.0467 sec.